<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Database configuration
$db_host = 'localhost';
$db_name = 'inklssbz_inkless-flow';
$db_user = 'inklssbz_inkless-flow';
$db_pass = '+3yjtNs[$J=X';

echo "Attempting database connection...<br>";

try {
    $db_conn = new PDO("mysql:host=$db_host;dbname=$db_name;charset=utf8mb4", $db_user, $db_pass);
    $db_conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    
    echo "Connection successful!<br>";
    
    // Try a simple query
    $stmt = $db_conn->query("SELECT COUNT(*) FROM documents");
    $count = $stmt->fetchColumn();
    echo "Documents in database: $count<br>";
    
    // Check if tables exist
    $tables = [];
    $stmt = $db_conn->query("SHOW TABLES");
    while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
        $tables[] = $row[0];
    }
    
    echo "Tables: " . implode(", ", $tables);
    
} catch(PDOException $e) {
    echo "Connection failed: " . $e->getMessage();
}